<?xml version="1.0" encoding="utf-8"?>
<window screenLeft="0" screenTop="0" width="270" height="156" titleBar="false" resizeMargins="0,0,0,0" maximizable="false" onload="BalloonLoad();windowOnload();" onclose="windowOnClose();BalloonClose();">
<script src="../common.js" />
<script src="../BalloonCommon.js" />
<script>
<![CDATA[
	function OnFirewallFlashCmd(cmd,target,arg1,arg2,arg3,arg4)
	{
		if(cmd == "openurl")
		{
			window.openurl("http://help.pptv.com/faq/");
		}
		else if (cmd == "close")
		{
			window.setTimeout("window.close();",1);
		}
	}

	function windowOnload()
	{
		window.ShowFirewallForbiddenBalloon = function(nType)
		{
			var path = ShowAbsolutePath("data\\firewall.swf");
			var filepath = Components.CreateObject("@pplive.com/filepath;1");
			if (filepath)
			{
				if (filepath.PathFileExists(path))
				{
					$("FirewallFlash").LoadSwf(path);
				}
				else
				{
					window.close();
				}
			}
		}
		var balloon = Components.GetObject2("balloon.education\\ppapisforbidden.xml");
		if (balloon)
		{
			balloon.close();
		}

		//统计日志
		var  pplDac=Components.GetObject2("@pplive.com/PPLStat;1");
		if(pplDac)
		{
			pplDac.PPLFirewallBalloonShow();
		}
	}

	function windowOnClose()
	{
	}
	
]]>
</script>
	<subwindow left="0" top="0" width="270" height="156" horizontalAlignment="stretch" verticalAlignment="stretch" backgroundColor="#ffffff">
		<widget id="FirewallFlash" left="0" top="0" width="270" height="156" horizontalAlignment="stretch" verticalAlignment="stretch" contractId="@pplive.com/flash;1" OnFlashCmd="OnFirewallFlashCmd(arguments[0],arguments[1],arguments[2],arguments[3],arguments[4],arguments[5]);"/>
	</subwindow>
</window>